Bug 134995 - [REPOCOPY]: net/p5-ZConf-Mail -> mail/p5-ZConf-Mail
Summary: [REPOCOPY]: net/p5-ZConf-Mail -> mail/p5-ZConf-Mail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-27 16:20 UTC by Zane C. Bowers-Hadley
Modified: 2009-06-15 20:40 UTC (History)
0 users

See Also:


Attachments
MOVED.diff (461 bytes, patch)
2009-05-27 16:20 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
p5-ZConf-Mail_distinfo.orig (532 bytes, text/plain)
2009-05-27 16:20 UTC, Zane C. Bowers-Hadley
no flags Details
p5-ZConf-Mail_pkg-plist.diff (208 bytes, patch)
2009-05-27 16:20 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2009-05-27 16:20:02 UTC

0.3.1	2009-04-01/8:30
		-Fix mime-signing.

0.2.0	2009-03-04/6:00
		-Added 'deliverIMAP' and 'createMimeEntity'.
		-SMTP can now save the sent mail.
		-'createEmailSimple' now no longer tries to create 'To' or
			'CC' headers if it has nothing.

0.2.0	2009-02-23/02:30
		-Add 'getSet', 'listSets', and 'readSet'.

0.1.0	2009-02-20/03:40
		-Add 'bin/zcmailaccountmanage'.
		-Fix 'getAccounts'.
		-'createAccount' actually saves the config now.
		-'createAccount' now works for the type 'exec'.
		-Correct requirement checks in IMAP, MBox, and Maildir connectors.
		-No longer error if ending the data session fails.
		-'delAccount' now works.
		-Add pod docs for all scripts.

Fix: --- Makefile.orig	2009-05-27 09:55:02.000000000 -0500
+++ Makefile	2009-05-27 10:10:54.000000000 -0500
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	ZConf-Mail
-PORTVERSION=	0.0.0
-PORTREVISION=	2
+PORTVERSION=	0.3.1
 CATEGORIES=	net perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	../../authors/id/V/VV/VVELOX
@@ -20,13 +19,16 @@
 		${SITE_PERL}/ZConf.pm:${PORTSDIR}/net/p5-ZConf \
 		${SITE_PERL}/Email/Simple/Creator.pm:${PORTSDIR}/mail/p5-Email-Simple-Creator \
 		${SITE_PERL}/Mail/IMAPTalk.pm:${PORTSDIR}/mail/p5-Mail-IMAPTalk \
-		${SITE_PERL}/Mail/IMAPTalk.pm:${PORTSDIR}/mail/p5-Mail-IMAPTalk \
 		${SITE_PERL}/Mail/POP3Client.pm:${PORTSDIR}/mail/p5-Mail-POP3Client \
 		${SITE_PERL}/Net/SMTP_auth.pm:${PORTSDIR}/mail/p5-Net-SMTP_auth \
 		${SITE_PERL}/Net/SMTP/TLS.pm:${PORTSDIR}/mail/p5-Net-SMTP-TLS \
 		${SITE_PERL}/Mail/Box.pm:${PORTSDIR}/mail/p5-Mail-Box \
 		${SITE_PERL}/Curses/UI.pm:${PORTSDIR}/devel/p5-Curses-UI \
-		${SITE_PERL}/IO/MultiPipe.pm:${PORTSDIR}/devel/p5-IO-MultiPipe
+		${SITE_PERL}/IO/MultiPipe.pm:${PORTSDIR}/devel/p5-IO-MultiPipe \
+    		${SITE_PERL}/MIME/Lite.pm:${PORTSDIR}/mail/p5-MIME-Lite \
+		${SITE_PERL}/File/MimeInfo/Magic.pm:${PORTSDIR}/devel/p5-File-MimeInfo \
+		${SITE_PERL}/Email/Date.pm:${PORTSDIR}/mail/p5-Email-Date \
+		${SITE_PERL}/mach/MIME/QuotedPrint.pm:${PORTSDIR}/converters/p5-MIME-Base64
 
 PERL_CONFIGURE=	yes
 
--- p5-ZConf-Mail_Makefile.diff ends here ---

--- pkg-descr.orig	2009-05-27 09:55:08.000000000 -0500
+++ pkg-descr	2009-05-27 10:14:05.000000000 -0500
@@ -1,9 +1,9 @@
 This module implements various functions needed for making a ZConf backed mail
 cleint. It also currently includes two small utilities, listed below.
 
+zcmailaccountmanage  	A Curses::UI interface to ZConf::Mail accounts.
 zcmailcompose - Composes a mail message and sends it using the specified
  account.
 zcgetmail - A getmail replacement using ZConf::Mail.
 
-
 WWW: http://search.cpan.org/dist/ZConf-Mail/
--- p5-ZConf-Mail_pkg-descr.diff ends here ---
How-To-Repeat: 

1: Notice 0.0.0 sort of sucks and is under net instead of mail
2:
3: Apply patches and enjoy the goodness of 0.3.1.
Comment 1 Martin Wilke freebsd_committer 2009-05-27 16:41:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-05-30 22:31:35 UTC
State Changed
From-To: open->repocopy

please repocopy net/p5-ZConf-Mail - mail/p5-ZConf-Mail
Comment 3 Martin Wilke freebsd_committer 2009-05-30 22:31:35 UTC
Responsible Changed
From-To: miwi->portmgr


Over to portmgr
Comment 4 Joe Marcus Clarke freebsd_committer 2009-06-02 06:47:27 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 5 Joe Marcus Clarke freebsd_committer 2009-06-02 06:47:27 UTC
Responsible Changed
From-To: portmgr->miwi

Repocopy complete.
Comment 6 dfilter service freebsd_committer 2009-06-15 20:31:07 UTC
miwi        2009-06-15 19:30:52 UTC

  FreeBSD ports repository

  Modified files:
    mail/p5-ZConf-Mail   Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Update to 0.3.1
  
  PR:             134995
  Submitted by:   Zane C.B. <vvelox@vvelox.net> (maintainer)
  
  Revision  Changes    Path
  1.5       +6 -4      ports/mail/p5-ZConf-Mail/Makefile
  1.3       +3 -3      ports/mail/p5-ZConf-Mail/distinfo
  1.3       +1 -0      ports/mail/p5-ZConf-Mail/pkg-descr
  1.4       +1 -0      ports/mail/p5-ZConf-Mail/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Martin Wilke freebsd_committer 2009-06-15 20:37:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!